InboxSDK.load('1', 'sdk_shazoom-io_d706e02659').then(function(sdk){

	// the SDK has been loaded, now do something with it!
	sdk.Compose.registerComposeViewHandler(function(composeView){
		shazoomApp.extensionType = 'gmail';
		// a compose view has come into existence, do something with it!
		composeView.addButton({
			title: "shazoom",
			iconUrl: chrome.extension.getURL("logo.png"),
			onClick: function(event) {				
				shazoomApp.openIframe('login-popup');
			},
		});
		window.addEventListener("message", function(event){
			if(event.data.action === "set_embed_data" && event.data.sender === "shazoom"){			
			var htm = '<div style="width: 400px;display: inline-block;"><a href="' + event.data.link + '"><img src="' + event.data.thumbnail + '" width="400" height="225"/><br /><span>' + event.data.title + '</span></a><div>';
			composeView.insertHTMLIntoBodyAtCursor(htm);			
		   }
		});

	});

});