(function () {

    if (window.hasSharpspringExtRun)
        return true;
    window.hasSharpspringExtRun = true;

    window.shazoomApp = {
        shazoomUrlSharpspring: "https://shazoom.io/welcome?disable_editor=y&iframe_type=sharpspring",
        shazoomUrlForLoginPopup: "https://shazoom.io/login?disable_editor=y&iframe_type=extension",
        loginStatusUrl: "https://shazoom.io/shazoom-extension/getislogin?disable_editor=y",
        extensionType: null,
        iconAppended: false,
        popupElem: null,
        popupContentElem: null,
        icon: 'https://shazoom.io/_cms/img/icons/favicon-32.png',
        css: ".shazoom-extension-ui-popup{position:fixed;height:100%;width:100%;top:0;left:0;z-index:10000}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-overlay{width:100%;height:100%;top:0;left:0;position:absolute;background:rgba(0,0,0,.5)}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content{width:90%;max-width:1600px;height:88vh;background:#fff;margin:auto;position:absolute;left:0;right:0;top:0;bottom:0;box-shadow:0 5px 50px #000;border-radius:4px;display:flex;flex-direction:column}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-content-header{background:#f6f7fb;color:#434a54;margin:0;padding:0 25px;height:60px;border-bottom:1px solid #d8dadf;font-size:18px;font-weight:700;display:flex;align-items:center;justify-content:space-between}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-content-header .shazoom-extension-ui-popup-close-btn{cursor:pointer}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-content-inner{text-align:center;flex:1;display:flex;flex-direction:column;justify-content:center;position:relative}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-content-inner p{font-size:16px;margin:0;margin-bottom:20px}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-content-header button{color:#fff;border:1px solid #26375b;padding:10px 15px;box-shadow:none;background:#26375b;border-radius:4px;transition:none;cursor:pointer;width:200px;margin:0; font-size:14px;line-height:14px;white-space: nowrap;}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-content-header button.shazoom-extension-ui-popup-insert-button-disabled{visibility:hidden;pointer-events:none;opacity:0}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-loader{margin:auto;height:64px;width:64px;animation:shazoom-extension-loader-rotate .8s infinite linear;border:5px solid #0086cf;border-right-color:transparent;border-radius:50%}@keyframes shazoom-extension-loader-rotate{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}.shazoom-extension-ui-popup-user-menu{display:flex;align-items:center;height:100%}.shazoom-extension-ui-popup-user-menu-logo{width:200px;height:30px;background-image:url(https://shazoom.io/_cms/img/shazoom-logo.png);background-size:contain;background-repeat:no-repeat;background-position:center;display:flex;align-items:center;justify-content:flex-end}.shazoom-extension-ui-popup-user-menu-icon{display:flex;align-items:center;height:100%}.shazoom-extension-ui-popup-user-menu-icon svg{height:20px}.shazoom-extension-ui-popup-user-menu-list-container{display:none}.shazoom-extension-ui-popup-user-menu:hover .shazoom-extension-ui-popup-user-menu-list-container{display:block}.shazoom-extension-ui-popup-user-menu-list-container{position:absolute;z-index:5000;top:62px;right:10px;padding-top:0;width:200px;max-height:340px;box-shadow:0 0 6px 0 rgba(38,55,91,.1);border-radius:2px}.shazoom-extension-ui-popup-user-menu-list-container ul{margin:0;padding:0;list-style:none}.shazoom-extension-ui-popup-user-menu-list-container li{cursor:pointer;padding:0;user-select:none;border-bottom:1px solid #dcdfe3;background:#fff}.shazoom-extension-ui-popup-user-menu-list-container li.hovering:hover{background:#fafafc}.shazoom-extension-ui-popup-user-menu-list-container li a{display:block;padding:15px 20px;color:#747f90;font-size:16px;text-decoration:none}.shazoom-extension-ui-popup-user-menu-list-container li .user-logOut-conteiner{display:flex;justify-content:center;align-items:center;padding:10px;background-color:#fafafc}.shazoom-extension-ui-popup-user-menu .shazoom-extension-ui-popup-btn.shazoom-extension-ui-popup-btn-outline{border-radius:2px;zoom:1;vertical-align:middle;text-align:center;white-space:nowrap;cursor:pointer;width:80px;height:36px;line-height:1em;text-decoration:none!important;text-overflow:ellipsis;outline:0!important;position:relative;font-size:14px;display:inline-flex;align-items:center;justify-content:center;padding:0 30px;transition:.2s easy;text-transform:capitalize;border:solid 1px #dcdfe3;color:#747f90;background-color:inherit}.shazoom-extension-ui-popup-user-menu .shazoom-extension-ui-popup-btn.shazoom-extension-ui-popup-btn-outline:hover{background:#b9bfc7}",
        cssForLoginPopup: ".shazoom-extension-ui-popup .shazoom-extension-ui-popup-content{width:80%;max-width:600px;height:90vh;max-height:730px;background:#fff;margin:auto;position:absolute;left:0;right:0;top:0;bottom:0;box-shadow:0 5px 50px #000;border-radius:4px;display:flex;flex-direction:column}",
        __us: {},
        init: function () {
            shazoomApp.bindEvents();
        },

        bindEvents: function () {
            shazoomApp.bindOnMessage();		
			
        },
        bindOnMessage: function () {

            chrome.runtime.onMessage.addListener(function (request, sender, sendResponse) {

                if (request.key == "pageLoaded") {
                    shazoomApp.extensionType = request.source;
                    clearInterval(shazoomApp.editorInterval);
                    shazoomApp.editorInterval = setInterval(() => {
                        shazoomApp.checkEmailEditorIsActive();
                    }, 2000);

                }else if (request.key =="requestDeviceAccess"){
                    rectraceApp.requestDeviceAccess();
                }
            });

            window.addEventListener("message", function (event) {

                if (event.data) {
                    if (event.data.action === "recording_complete" && event.data.sender === "shazoom") {
                        shazoomApp.enableDisableInsertButton(true);
                    } else if (event.data.action === "recording_retake" && event.data.sender === "shazoom") {
                        shazoomApp.enableDisableInsertButton(false);
                    } else if (event.data.action === "thumbnail_editor_active" && event.data.sender === "shazoom") {
                        shazoomApp.enableDisableInsertButton(false);
                    } else if (event.data.action === "thumbnail_editor_close" && event.data.sender === "shazoom") {
                        shazoomApp.enableDisableInsertButton(true);
                    } else if (event.data.action === "set_embed_data" && event.data.sender === "shazoom") {
                        shazoomApp.closeIframe();



                        var params = {};
                        params["action"] = "set_embed_data_content";
                        params["source"] = shazoomApp.extensionType;
                        params["sender"] = "shazoom_extension";
                        params["data"] = event.data;

                        try {
                            window.postMessage(params, '*');
                        } catch (ex) {}



                    } else if (event.data.action === "saveUser" && event.data.sender === "shazoom_extension") {
                        shazoomApp.saveUser(event.data.name);
                    } else if (event.data.action === "loginComplete" && event.data.sender === "shazoom_extension") {
                        shazoomApp.loadIframe(shazoomApp.popupContentElem);
                    } else if (event.data.action === "user_login" && event.data.sender === "shazoom") {
                        shazoomApp.loadIframe(shazoomApp.popupContentElem);

                    } else if (event.data.action === "reset_pass" && event.data.sender === "shazoom") {
                        shazoomApp.openRessetLayer();

                    } else if (event.data.action === "thubnail_open" && event.data.sender === "shazoom") {
                        var thumbButton = document.querySelector('.shazoom-extension-ui-popup-insert-button');
                        thumbButton.style.display = 'none';
                    } else if (event.data.action === "thubnail_close" && event.data.sender === "shazoom") {
                        var thumbButton = document.querySelector('.shazoom-extension-ui-popup-insert-button');
                        thumbButton.style.display = 'block';
                    }
                }
            }, false);
        },
        checkEmailEditorIsActive: function () {


            var editorElem;
            if (shazoomApp.extensionType == 'sharpspring') {
                editorElem = document.getElementById("mailpane");
            } else if (shazoomApp.extensionType == 'pipedrive') {
                editorElem = document.getElementsByClassName("composer")[0];

            } else if (shazoomApp.extensionType == 'close') {
                editorElem = document.getElementsByClassName("field-body_html")[0];
            } else if (shazoomApp.extensionType == 'sugar') {
                editorElem = document.querySelector('.mce-panel');
            } else if (shazoomApp.extensionType == 'aritic') {
                editorElem = document.getElementsByClassName('fr-box')[0];
            } else if (shazoomApp.extensionType == 'hubspot') {
                editorElem = document.getElementsByClassName("draft-extend-editor")[0];
            } else if (shazoomApp.extensionType == 'zoho') {
                editorElem = document.getElementsByName("sendMailForm")[0];
            }


            if (editorElem) {



                var toolbar;

                if (shazoomApp.extensionType == 'sharpspring') {
                    toolbar = editorElem.getElementsByClassName("mce-container-body mce-flow-layout")[0];
                } else if (shazoomApp.extensionType == 'pipedrive') {
                    toolbar = editorElem.getElementsByClassName("buttons")[0];
                } else if (shazoomApp.extensionType == 'close') {
                    toolbar = editorElem.getElementsByClassName("fr-toolbar")[0];
                } else if (shazoomApp.extensionType == 'sugar') {
                    toolbar = editorElem.getElementsByClassName('mce-container-body')[2];
                } else if (shazoomApp.extensionType == 'aritic') {
                    toolbar = editorElem.getElementsByClassName("fr-toolbar")[0];
                } else if (shazoomApp.extensionType == 'hubspot') {
                    toolbar = editorElem.getElementsByClassName("draft-extend-controls")[0];
                } else if (shazoomApp.extensionType == 'zoho') {
                    toolbar = editorElem.querySelector('ul[data-zcqa="emc_ceVariousTextFormattingOptionContainer"]');
                }

                var shazoomBtn = toolbar ? toolbar.querySelector(".mce-btn-shazoom") : null;


                if (toolbar && !shazoomBtn) {


                    var buttons;
                    if (shazoomApp.extensionType == 'sharpspring') {
                        buttons = toolbar.getElementsByClassName("mce-widget mce-btn mce-last");
                    } else if (shazoomApp.extensionType == 'pipedrive') {
                        //buttons = toolbar.getElementsByClassName("editor-tooltip"); //old way not working after pipedrive editor upgrade
                        buttons = toolbar.getElementsByTagName('a');
                    } else if (shazoomApp.extensionType == 'close') {
                        buttons = toolbar.querySelectorAll('[data-cmd="insertImage"]')[0];
                    } else if (shazoomApp.extensionType == 'sugar') {
                        buttons = toolbar.getElementsByClassName('mce-widget');
                    } else if (shazoomApp.extensionType == 'aritic') {
                        buttons = toolbar.getElementsByClassName('fr-btn');
                    } else if (shazoomApp.extensionType == 'hubspot') {
                        buttons = toolbar.getElementsByClassName("plugin-group-button");
                    } else if (shazoomApp.extensionType == 'zoho') {
                        buttons = toolbar.getElementsByTagName("li");
                    }


                    if (shazoomApp.extensionType == 'close') {
                        var cln = buttons.cloneNode(true);
                    } else if (shazoomApp.extensionType == 'zoho') {
                        var lastChild = buttons[buttons.length - 1];

                        var cln = lastChild.cloneNode(false);
                    } else {
                        var lastChild = buttons[buttons.length - 1];
                        var cln = lastChild.cloneNode(true);

                    }

                    if (shazoomApp.extensionType == 'pipedrive') {
                        cln.className = '';
                    }


                    cln.classList.add("mce-btn-shazoom");
                    cln.style.paddingTop = "2px";
                    cln.classList.remove("mce-disabled");
                    cln.id = "mceu_shazoom_btn";
                    if (shazoomApp.extensionType == 'sharpspring') {
                        var icon = cln.getElementsByTagName("i")[0];
                        if (icon) {
                            icon.style.backgroundImage = "url(" + shazoomApp.icon + ")";
                            icon.style.fontSize = "0";
                            icon.style.backgroundSize = "contain";
                            icon.style.backgroundPosition = "center center";
                            icon.style.backgroundRepeat = "no-repeat";
                        }
                    }else {
						
						if(shazoomApp.extensionType == 'pipedrive'){
							cln.style.display = 'inline-block';
						}
                        cln.style.backgroundImage = "url(" + shazoomApp.icon + ")";
                        cln.style.fontSize = "0";
                        cln.style.backgroundSize = "contain";
                        cln.style.backgroundPosition = "center center";
                        cln.style.backgroundRepeat = "no-repeat";


                        if (shazoomApp.extensionType == 'pipedrive') {
                            var childSvg = cln.getElementsByClassName('cui4-icon')[0];
                            cln.removeChild(childSvg);
                        } else if (shazoomApp.extensionType == 'close') {
                            var childSpan = cln.getElementsByClassName('halflings-picture')[0];
                            cln.removeChild(childSpan);
                            var childTitle = cln.getElementsByClassName('fr-sr-only')[0];
                            cln.removeChild(childTitle);
                            cln.setAttribute("title", 'Shazoom');

                            cln.style.height = "30px";
                            cln.style.width = "15px";
                        } else if (shazoomApp.extensionType == 'sugar') {
                            var childButton = cln.querySelector('button');
                            cln.removeChild(childButton);
                            cln.style.border = 'none';
                            cln.style.height = "35px";
                            cln.style.margin = '0 5px';
                            cln.style.width = "15px";
                        } else if (shazoomApp.extensionType == 'aritic') {
                            var childSpan = cln.getElementsByClassName('fr-sr-only')[0];
                            cln.removeChild(childSpan);
                            var childIcon = cln.getElementsByClassName('fa')[0];
                            cln.removeChild(childIcon);

                            cln.classList.remove("fr-dropdown");
                            cln.classList.remove("fr-command");
                            cln.setAttribute("title", 'Shazoom');

                            cln.style.height = "38px";
                            cln.style.width = "38px";
                            cln.style.backgroundSize = "35%";
                            cln.style.backgroundColor = "transparent";
                            cln.style.border = "none";
                        } else if (shazoomApp.extensionType == 'hubspot') {
                            var childSpan = cln.getElementsByClassName('private-icon')[0];
                            cln.removeChild(childSpan);
                            cln.style.backgroundImage = "url(" + shazoomApp.icon + ")";
                            cln.style.fontSize = "0";
                            cln.style.backgroundSize = "contain";
                            cln.style.backgroundPosition = "center center";
                            cln.style.backgroundRepeat = "no-repeat";
                            cln.style.height = "15px";
                        } else if (shazoomApp.extensionType == 'zoho') {
                            cln.style.display = 'block';
                            cln.style.width = "16px";
                            cln.style.height = "16px";
                            cln.style.marginRight = "5px";
                            cln.style.backgroundSize = "50%";
                        }

                    }

                    toolbar.appendChild(cln);
                    cln.onclick = function (e) {
                        shazoomApp.openIframe(true);
                        return false;
                    }
                } else {
                    shazoomApp.iconAppended = false;
                }
            }
        },
        checkLoginStatus: function (callback) {

            var xhr = new XMLHttpRequest();
            //xhr.onreadystatechange = handleStateChange; // Implemented elsewhere.
            xhr.open("GET", shazoomApp.loginStatusUrl, true);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4) {
                    console.log(xhr.responseText)
                    // JSON.parse does not evaluate the attacker's scripts.
                    var resp = JSON.parse(xhr.responseText);
                    callback(resp);
                }
            }
            xhr.send();
        },
        shazoomLogout: function () {
            var xhr = new XMLHttpRequest();
            xhr.open("GET", 'https://shazoom.io/account_ajax.aspx?cmd=user.logout&uid=' + shazoomApp.__us.uid, true);

            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4) {
                    var resp = JSON.parse(xhr.responseText);
                    if (resp.success == true) {
                        shazoomApp.closeIframe();
                    }
                }
            }
            xhr.send();

        },
        openRessetLayer: function () {
            var layer_container = document.createElement('div');
            layer_container.classList.add('reset-complete');
            var layer_content = document.createElement('div');
            layer_content.classList.add('reset-complete-content');
            layer_container.appendChild(layer_content);

            var layer_h2 = document.createElement('h2');
            layer_h2.innerHTML = "Please check your inbox";
            layer_content.appendChild(layer_h2);

            var layer_p = document.createElement('p');
            layer_p.innerHTML = "Instruction to reset your password are on their way.";
            layer_content.appendChild(layer_p);

            var iframe_container = document.querySelector('.shazoom-extension-ui-popup-content-inner');

            iframe_container.appendChild(layer_container);
            var css = ".shazoom-extension-ui-popup-content-inner .reset-complete{opacity: 0; transition: opacity 1s ease;font-family: 'Source Sans Pro', sans-serif; position: absolute;background: #fff;width: 100%;height: 100%;top: 0;left: 0;display: flex;align-items: flex-start;justify-content: center;}.shazoom-extension-ui-popup-content-inner .reset-complete.reset-complete-shown{opacity: 1}.shazoom-extension-ui-popup-content-inner .reset-complete .reset-complete-content{margin-top:150px;}.shazoom-extension-ui-popup-content-inner .reset-complete .reset-complete-content h2{ font-size: 48px;color: #26375b;margin-bottom: 32px;font-weight: 400;}.shazoom-extension-ui-popup .shazoom-extension-ui-popup-content .shazoom-extension-ui-popup-content-inner .reset-complete .reset-complete-content p{ font-size: 18px;color: #26375b;}"
            var styleTag = document.createElement("style");
            styleTag.id = "shazoom_layer_styles";

            styleTag.innerHTML = css;
            layer_container.appendChild(styleTag);

            setTimeout(function () {
                layer_container.classList.add("reset-complete-shown");
                setTimeout(function () {
                    layer_container.classList.remove("reset-complete-shown");
                    setTimeout(function () {
                        layer_container.parentNode.removeChild(layer_container);
                    }, 1000)
                }, 4000)
            }, 0)
        },
        openIframe: function (type) {
            var popup = document.createElement("div");
            popup.classList.add("shazoom-extension-ui-popup");
            shazoomApp.popupElem = popup;
            var popup_overlay = document.createElement("div");
            popup_overlay.classList.add("shazoom-extension-ui-popup-overlay");
            popup.appendChild(popup_overlay);
            var popup_content = document.createElement("div");
            popup_content.classList.add("shazoom-extension-ui-popup-content");
            var popup_content_header = document.createElement("div");
            popup_content_header.classList.add("shazoom-extension-ui-popup-content-header");
            popup_content.appendChild(popup_content_header);


            var popup_insert_btn = document.createElement("button");
            popup_insert_btn.classList.add("shazoom-extension-ui-popup-insert-button");
            popup_insert_btn.classList.add("shazoom-extension-ui-popup-insert-button-disabled");
            popup_insert_btn.setAttribute("type", "button");
            popup_insert_btn.innerHTML = "Insert Message Into Email";
            popup_insert_btn.onclick = shazoomApp.insertEmbed;




            var close_btn = document.createElement("div");
            close_btn.classList.add("shazoom-extension-ui-popup-close-btn")
            close_btn.innerHTML = '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" width="24" height="24" viewBox="0 0 512 512"><title/><g id="icomoon-ignore"></g><path fill="#26375B" d="M507.331 411.33c-0.002-0.002-0.004-0.004-0.006-0.005l-155.322-155.325 155.322-155.325c0.002-0.002 0.004-0.003 0.006-0.005 1.672-1.673 2.881-3.627 3.656-5.708 2.123-5.688 0.912-12.341-3.662-16.915l-73.373-73.373c-4.574-4.573-11.225-5.783-16.914-3.66-2.080 0.775-4.035 1.984-5.709 3.655 0 0.002-0.002 0.003-0.004 0.005l-155.324 155.326-155.324-155.325c-0.002-0.002-0.003-0.003-0.005-0.005-1.673-1.671-3.627-2.88-5.707-3.655-5.69-2.124-12.341-0.913-16.915 3.66l-73.374 73.374c-4.574 4.574-5.784 11.226-3.661 16.914 0.776 2.080 1.985 4.036 3.656 5.708 0.002 0.001 0.003 0.003 0.005 0.005l155.325 155.324-155.325 155.326c-0.001 0.002-0.003 0.003-0.004 0.005-1.671 1.673-2.88 3.627-3.657 5.707-2.124 5.688-0.913 12.341 3.661 16.915l73.374 73.373c4.575 4.574 11.226 5.784 16.915 3.661 2.080-0.776 4.035-1.985 5.708-3.656 0.001-0.002 0.003-0.003 0.005-0.005l155.324-155.325 155.324 155.325c0.002 0.001 0.004 0.003 0.006 0.004 1.674 1.672 3.627 2.881 5.707 3.657 5.689 2.123 12.342 0.913 16.914-3.661l73.373-73.374c4.574-4.574 5.785-11.227 3.662-16.915-0.776-2.080-1.985-4.034-3.657-5.707z"/></svg>'
            close_btn.onclick = shazoomApp.closeIframe;

            popup_content_header.appendChild(close_btn);
            popup_content_header.appendChild(popup_insert_btn);






            var popup_content_inner = document.createElement("div");
            shazoomApp.popupContentElem = popup_content_inner;
            popup_content_inner.classList.add("shazoom-extension-ui-popup-content-inner");
            popup_content_inner.innerHTML = "<div class='shazoom-extension-ui-popup-loader'></div>"
            popup_content.appendChild(popup_content_inner);
            popup.appendChild(popup_content);

            var styleTag = document.createElement("style");
            styleTag.id = "shazoom_styles";

            styleTag.innerHTML = shazoomApp.css;
            popup.appendChild(styleTag);

            this.popup = popup;


            document.body.appendChild(popup);





            if (this.extensionType == 'sharpspring') {
                shazoomApp.loginToShazoom();
            } else {
                shazoomApp.checkLoginStatus(function (resp) {
                    if (resp.status == 'True') {
                        shazoomApp.__us.uid = resp.uid;
                        shazoomApp.buildHeaderDropdown();
                        shazoomApp.loadIframe(shazoomApp.popupContentElem);
                    } else {
                        shazoomApp.loadIframe(shazoomApp.popupContentElem, 'login');
                    }

                });

            }

        },
        buildHeaderDropdown() {
            if (typeof shazoomApp.__us.uid == 'undefined') {
                shazoomApp.checkLoginStatus(function (resp) {
                    if (resp.status == 'True') {
                        shazoomApp.__us.uid = resp.uid;
                        shazoomApp.buildHeaderDropdown();
                    };
                })
                return;
            }

            if (shazoomApp.extensionType != 'sharpspring' && document.getElementsByClassName('shazoom-extension-ui-popup-user-menu').length == 0) {
                var dropDown = document.createElement('div');
                dropDown.classList.add('shazoom-extension-ui-popup-user-menu');
                dropDown.innerHTML = "<div class='shazoom-extension-ui-popup-user-menu-logo'>\
											<div class='shazoom-extension-ui-popup-user-menu-icon'>\
												<?xml version='1.0' encoding='UTF-8'?>\
												<svg enable-background='new 0 0 386.257 386.257' version='1.1' viewBox='0 0 386.257 386.257' xml:space='preserve' xmlns='http://www.w3.org/2000/svg'>\
												<polygon points='0 96.879 193.13 289.38 386.26 96.879'/>\
												</svg>\
											</div>\
										</div>\
										<div class='shazoom-extension-ui-popup-user-menu-list-container'>\
											<ul>\
												<li class='user-nav-item hovering'>\
													<a href='https://shazoom.io/about' target='_blank'>About</a>\
												</li>\
												<li class='user-nav-item hovering'>\
													<a href='https://shazoom.helpsite.com' target='_blank'>Help</a>\
												</li>\
												<li class='user-nav-item' >\
													<div class='user-logOut-conteiner'>\
														<div>\
															<a id='logout-shazoom' class='shazoom-extension-ui-popup-btn shazoom-extension-ui-popup-btn-outline'>Logout</a>\
														</div>\
													</div>\
												</li>\
											</ul>\
										</div>";

                var popup_content_header = document.getElementsByClassName('shazoom-extension-ui-popup-content-header')[0];
                popup_content_header.appendChild(dropDown);

            }

            var logoutBtn = document.getElementById('logout-shazoom');
            if (logoutBtn) {
                logoutBtn.onclick = function () {
                    shazoomApp.shazoomLogout();
                }
            }

        },
        closeIframe: function () {
            shazoomApp.popupElem && document.body.removeChild(shazoomApp.popupElem);
            shazoomApp.popupElem = null;
            shazoomApp.popupContentElem = null;
        },
        loadIframe: function (elem, type) {
            var oldIframe = document.getElementById('shazoom_extension_iframe');
            if (oldIframe) {
                oldIframe.remove();
            }
            var iframe = document.createElement('iframe');
            iframe.id = "shazoom_extension_iframe";

            if (type == 'login') {
                var styleTag = document.createElement("style");
                styleTag.id = "shazoom_login_styles";
                styleTag.innerHTML = shazoomApp.cssForLoginPopup;
                this.popup.appendChild(styleTag);

                iframe.src = shazoomApp.shazoomUrlForLoginPopup;
            } else {
                var loginStyles = document.getElementById('shazoom_login_styles');
                if (loginStyles) {
                    loginStyles.remove();
                }
                iframe.src = shazoomApp.shazoomUrlSharpspring;
                shazoomApp.buildHeaderDropdown();
            }


            iframe.style.width = "100%";
            iframe.style.height = "100%";
            iframe.frameBorder = "0";
            iframe.allowfullscreen = true;
            iframe.style.height = "0";
            iframe.allow = "microphone; camera";
            iframe.onload = function () {
                var loader = elem.getElementsByClassName('shazoom-extension-ui-popup-loader')[0];
                if (loader) {
                    elem.removeChild(loader);
                }
                iframe.style.height = "100%";
            }
            elem.appendChild(iframe);
        },

        loginToShazoom: function () {
            chrome.storage.sync.get(null, function (items) {
                var users = items.shazoom_users ? JSON.parse(items.shazoom_users) : [];
                var params = {};
                params["action"] = "login";
                params["sender"] = "shazoom_extension";
                params["users"] = users;
                try {
                    window.postMessage(params, '*');
                } catch (ex) {}
            })

        },

        insertEmbed: function () {
            shazoomApp.sendMessageToShazoom({
                action: "get_embed_data"
            })
        },

        enableDisableInsertButton: function (enable) {
            if (shazoomApp.popupElem) {
                var insert_btn = shazoomApp.popupElem.getElementsByClassName("shazoom-extension-ui-popup-insert-button")[0];
                if (insert_btn) {
                    enable ? insert_btn.classList.remove("shazoom-extension-ui-popup-insert-button-disabled") : insert_btn.classList.add("shazoom-extension-ui-popup-insert-button-disabled");
                }
            }
        },

        saveUser: function (name) {
            chrome.extension.sendMessage({
                action: 'saveUser',
                name: name
            });
        },

        sendMessageToShazoom: function (data) {
            var params = data;
            params["sender"] = "shazoom_extension";
            var iframe = document.getElementById("shazoom_extension_iframe");

            try {
                iframe.contentWindow.postMessage(params, '*');
            } catch (ex) {}
        }
    }
    shazoomApp.init();


})();