(function() {

	if (window.hasSharpspringExtRun)
        return true; 
    window.hasSharpspringExtRun = true;
    var shazoom = {
        apiURL: "https://shazoom.io/signup_iframe?disable_editor=y",
        position: null,
        init: function(){
            shazoom.bindEvents();
        },

        bindEvents: function(){
            shazoom.bindOnMessage();
        },
		expando:function(item){
			return Object.keys(item).filter(function(key) {
					return key.match(/^jQuery/);
				}).map(function(key) {
					return item[key];
				});
		},
		data:function(item, name) {
			return shazoom.expando(item).map(function get(expando) {
				return expando[name];
			}).filter(Boolean);
		},
		smart_substr:function(str, len) {
			var temp = str.substr(0, len);
			if(temp.lastIndexOf('<') > temp.lastIndexOf('>')) {
				temp = str.substr(0, 1 + str.indexOf('>', temp.lastIndexOf('<')));
			}
			return temp;
		},
        bindOnMessage: function(){
		/* 	shazoomApp = {};
            shazoomApp.extensionType == 'pipedrive';  */
            window.addEventListener("message", function(event){
                	
                if(event.data){					
				
                    if(event.data.action === "set_embed_data_content" && event.data.sender === "shazoom_extension"){
                        var video;
						if(event.data.source == 'sharpspring'){
							video = '<div style="margin: auto; width: 400px;display: inline-block"><a href="' + event.data.data.link + "&recipient_email={$emailAddress}&recipient_name={$firstName}" + '"><br /><img src="' + event.data.data.thumbnail + '" width="400" height="225"/><span>' + event.data.data.title + '</span></a><div>';
							tinymce.activeEditor.insertContent(video, {format: 'raw'});
						}else if(event.data.source == 'pipedrive'){
							var editor = document.getElementsByClassName('bodyEditor body')[0];
                            var video = '<div style="width: 400px;display: inline-block; text-align:center;"><a href="' + event.data.data.link + '"><img src="' + event.data.data.thumbnail + '" width="400" height="225"/><br /><span>' + event.data.data.title + '</span></a></div>';
                            shazoom.embedTheImage(editor, video);
							
						}else if(event.data.source == 'close'){
                            var editor = document.getElementsByClassName('fr-view')[0];
                            var video = '<div style="width: 400px;display: inline-block; text-align:center;"><a href="' + event.data.data.link + '"><img src="' + event.data.data.thumbnail + '" width="400" height="225"/><br /><span>' + event.data.data.title + '</span></a></div>';
                            shazoom.embedTheImage(editor, video);

                        }else if(event.data.source == 'sugar'){
                            video = '<div class="shazoom-iframe-video" style="width: 400px;display: inline-block; text-align:center;"><a href="' + event.data.data.link + '"><img src="' + event.data.data.thumbnail + '" width="400" height="225"/><br /><span>' + event.data.data.title + '</span></a></div>';
                            tinymce.activeEditor.insertContent(video, {format: 'raw'});
                        }else if(event.data.source == 'aritic'){
                            video = '<div class="shazoom-iframe-video" style="width: 400px; display: inline-block; text-align:center;"><a href="' + event.data.data.link + '"><img src="' + event.data.data.thumbnail + '" width="400" height="225"/><br /><span>' + event.data.data.title + '</span></a></div>';
                            
							var froalaEditor = shazoom.data(document.getElementsByClassName('editor')[0], 'froala.editor');
                            froalaEditor = froalaEditor[0];
                            froalaEditor.selection.save();
                            froalaEditor.selection.restore();
                            froalaEditor.html.insert(video);
                        }else if(event.data.source == 'hubspot'){							
							video = '<div data-block="true"><div  class="public-DraftStyleDefault-block public-DraftStyleDefault-ltr"><div class="shazoom-iframe-video" style="width: 400px; display: inline-block; text-align:center;"><a href="' + event.data.data.link + '"><img src="' + event.data.data.thumbnail + '" width="400" height="225"/><br /><span>' + event.data.data.title + '</span></a></div></div></div>';
							
							var editor = document.getElementsByClassName('public-DraftEditor-content')[0];
							var text = editor.innerHTML;
							editor.innerHTML  = text + video;						
							
						} else if(event.data.source == 'zoho'){							
							video = '<div data-block="true"><div  class="public-DraftStyleDefault-block public-DraftStyleDefault-ltr"><div class="shazoom-iframe-video" style="width: 400px; display: inline-block; text-align:center;"><a href="' + event.data.data.link + '"><img src="' + event.data.data.thumbnail + '" width="400" height="225"/><br /><span>' + event.data.data.title + '</span></a></div></div></div>';
                            var iframe = document.getElementsByTagName('iframe')[0];
                            var innerDoc = iframe.contentDocument || iframe.contentWindow.document;
							var editor = innerDoc.getElementsByClassName('ze_body')[0];
                            
                            shazoom.embedTheImage(editor, video);					
							
						}
						
                    } else if (event.data.action === "login" && event.data.sender === "shazoom_extension"){
                        shazoom.enter(event.data.users)
                    } else if (event.data.action === "saveUser" && event.data.sender === "shazoom"){
                        shazoom.saveUser(event.data.pass);
                    } else if (event.data.action === "loginComplete" && event.data.sender === "shazoom"){
                        shazoom.loginComplete();
                    }
                }
            }, false);
        },

        enter: function(users){
            if(app){
                var name = "sharpspring-" + app.company.id + "-" + app.user.userProfileID;
                if(users.indexOf(name) === -1){
                    shazoom.signup(name + "@shazoom.com", name, app.user.displayName.split(" ")[0], app.user.displayName.split(" ")[1])
                } else {
                    shazoom.login(name + "@shazoom.com", name)
                }
            }
        },
        getCaretPosition: function (element) {
				var caretOffset = 0;
				var doc = element.ownerDocument || element.document;
				var win = doc.defaultView || doc.parentWindow;
				var sel;
				if (typeof win.getSelection != "undefined") {
					sel = win.getSelection();
					if (sel.rangeCount > 0) {
						var range = win.getSelection().getRangeAt(0);
						var preCaretRange = range.cloneRange();
						preCaretRange.selectNodeContents(element);
						preCaretRange.setEnd(range.endContainer, range.endOffset);
						caretOffset = preCaretRange.toString().trim().replace(/&nbsp;/g, '').length;
					}
				} else if ( (sel = doc.selection) && sel.type != "Control") {
					var textRange = sel.createRange();
					var preCaretTextRange = doc.body.createTextRange();
					preCaretTextRange.moveToElementText(element);
					preCaretTextRange.setEndPoint("EndToEnd", textRange);
					caretOffset = preCaretTextRange.text.trim().replace(/&nbsp;/g, '').length;
				}
				return caretOffset;
        },
        embedTheImage: function (editor,content) {
            var isOpenedTag = false;
            var caretIndex = shazoom.getCaretPosition(editor);
            var counter = 0;
            editor.innerHTML = editor.innerHTML.trim().replace(/&nbsp;/g, '');
            var html = editor.innerHTML;
            

			if(html.length){
				for (var i = 0; i < html.length; i++) {
					if (counter < caretIndex) {
						if (html[i] != '<' && !isOpenedTag) {
							counter++;
						} else if (html[i] == '<') {
							isOpenedTag = true;
							continue;
						}
						else if (isOpenedTag) {
							isOpenedTag = html[i] === '>' ? false : isOpenedTag; 
						}
					}
					else {
						editor.innerHTML = html.slice(0, i) + content + html.slice(i);
						i = html.length + 1;
					}
				}
			}else{
				editor.innerHTML = content;
			}
        },
        login: function(email, pass){
            var iframe = document.createElement('iframe');
            iframe.id = "shazoom_extension_signup_iframe";
            iframe.src = shazoom.apiURL + "?action=login&email=" + email + "&pass=" + pass;
            iframe.style.display = "none";
            document.body.appendChild(iframe);
        },

        signup: function(email, pass, fname, lname){
            var iframe = document.createElement('iframe');
            iframe.id = "shazoom_extension_signup_iframe";
            iframe.src = shazoom.apiURL + "?action=signup&email=" + email + "&pass=" + pass + "&fname=" + fname + "&lname=" + lname;
            iframe.style.display = "none";
            document.body.appendChild(iframe);
        },

        saveUser: function(name){
            var params = {};
            params["action"] = "saveUser";
		    params["sender"] = "shazoom_extension";
            params["name"] = name;
            try{
                window.postMessage(params, '*');
            }catch(ex){}
        },

        loginComplete: function(){
            var params = {};
            params["action"] = "loginComplete";
		    params["sender"] = "shazoom_extension";
            try{
                window.postMessage(params, '*');
            }catch(ex){}
        }

    }
    shazoom.init();
    

})();